[metadata]
name = experiment-logger
author = Yann Buechau
author_email = yann-georg.buechau@uni-tuebingen.de
keywords = serial,user
version = attr:experimentlogger.version.__version__
license = GPLv3
url = https://gitlab.com/tue-umphy/software/log-serial
description = Utility to generate a CSV logfile with start/end timestamps of a series of experiments using a (wireless) keypad ⌨
long_description = file: README.md
long_description_content_type = text/markdown
classifiers =
    License :: OSI Approved :: GNU General Public License v3 (GPLv3)

[options]
packages = find:
python_requires = >= 3.10
install_requires = 
    pyfiglet
    rich

[options.entry_points]
console_scripts = 
    experiment-logger = experimentlogger.__main__:cli

[pycodestyle]
count = False
ignore = E501,W503
statistics = True
